@page
@model Todoer.Pages_Todoes.EditModel

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>Todo</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Todo.Id" />
            <div class="form-group">
                <label asp-for="Todo.Title" class="control-label"></label>
                <input asp-for="Todo.Title" class="form-control" />
                <span asp-validation-for="Todo.Title" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Todo.Description" class="control-label"></label>
                <input asp-for="Todo.Description" class="form-control" />
                <span asp-validation-for="Todo.Description" class="text-danger"></span>
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="Todo.IsDone" /> @Html.DisplayNameFor(model => model.Todo.IsDone)
                </label>
            </div>
            <div class="form-group">
                <label asp-for="Todo.Date" class="control-label"></label>
                <input asp-for="Todo.Date" class="form-control" />
                <span asp-validation-for="Todo.Date" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-page="./Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
